<?php
// +----------------------------------------------------------------------
// | saiadmin [ saiadmin快速开发框架 ]
// +----------------------------------------------------------------------
// | Author: your name
// +----------------------------------------------------------------------
namespace app\dice\model\ante_config;

use app\dice\model\DiceModel;

/**
 * 底注配置模型
 *
 * @property int $id ID
 * @property string $name 名称
 * @property string $title 标题
 * @property int $is_default 是否默认底注：0否 1是（全表仅允许一条为1）
 * @property int $mult 底注倍率
 * @property string $create_time 创建时间
 * @property string $update_time 更新时间
 */
class DiceAnteConfig extends DiceModel
{
    protected $pk = 'id';

    protected $table = 'dice_ante_config';

    public function searchNameAttr($query, $value): void
    {
        if ($value !== '' && $value !== null) {
            $query->where('name', 'like', '%' . $value . '%');
        }
    }

    public function searchTitleAttr($query, $value): void
    {
        if ($value !== '' && $value !== null) {
            $query->where('title', 'like', '%' . $value . '%');
        }
    }

    public function searchIsDefaultAttr($query, $value): void
    {
        if ($value !== '' && $value !== null) {
            $query->where('is_default', (int) $value);
        }
    }
}
